Subject: bug#55625: GNOME: totem controls not accessible

From: Roman Riabenko <[email-masked]>
Date: Mon, 30 May 2022 21:45:53 +0300

Hello

У сб, 2022-05-28 у 21:31 +0200, Maxime Devos пише:
> Roman Riabenko schreef op za 28-05-2022 om 22:15 [+0300]:
> > (totem:4116): libpeas-WARNING **: 22:05:01.766: Type not found in
> > introspection: 'PeasActivatable'
> > 
> > (totem:4116): libpeas-WARNING **: 22:05:01.766: Method
> > 'PeasActivatable.deactivate' was not found
> 
> ‘Activatable’ might mean buttons and such, maybe GI_TYPELIB_PATH
> needs
> to be added to the wrap-program in the package definition of 'totem'
> like for some other GTK applications.

(I looked at rhythmbox for an example.) When I add GI_TYPELIB_PATH to
wrap-program, libpeas-WARNING stops appearing. Though I notice no other
change. I also tried adding GUIX_PYTHONPATH as in rhythmbox, but I
notice no effect. I attach an example output from terminal.

Roman